Subject: Re: [nfsv4] Drafts waiting for write-up

From: spencer shepler <[email-masked]>
Date: Wed, 1 Feb 2017 00:23:40 -0800

Thanks for the update, Manoj.

On Tue, Jan 31, 2017 at 9:58 PM, Manoj Naik <[email-masked]> wrote:

> I’ve posted an update to the xattr I-D that addresses all the comments
> noted in the review. See https://datatracker.ietf.org/
> doc/draft-ietf-nfsv4-xattrs/
>
>
>
> Manoj.
>
>
>
> *From: *nfsv4 <[email-masked]> on behalf of spencer shepler <
> [email-masked]>
> *Date: *Tuesday, January 24, 2017 at 2:36 PM
> *To: *David Noveck <[email-masked]>
> *Cc: *"[email-masked]" <[email-masked]>, Spencer Dawkins at IETF <
> [email-masked]>
> *Subject: *Re: [nfsv4] Drafts waiting for write-up
>
>
>
>
>
> Apologies that my intent wasn't clear.  I prefer to shepherd the 3 I-Ds
> forward together even though there isn't a reference co-dependency in place.
>
>
>
> So, yes, will get the shepherding document in place but would like to see
> the other I-Ds updated as per your previous comments.
>
>
>
> Spencer
>
>
>
>
>
> On Tue, Jan 24, 2017 at 12:59 PM, David Noveck <[email-masked]>
> wrote:
>
> Once you're over your jet lag, could you deal with the shepherding writeup
> for draft-ietf-nfsv4-versioning-09?  On 1/4, you said that it "should be
> done in the next few days" and it appears your travel has interfered with
> that.  In any case, we might as well get started right away on the
> important job of burying Spencer D. in AD Evaluation work :-).
>
>
>
> On Wed, Jan 18, 2017 at 8:42 AM, David Noveck <[email-masked]>
> wrote:
>
> As two weeks have gone by since first raising this, it is appropriate to
> again remind people of the status of these documents::
>
>    - With regard to draft-ietf-nfsv4-versioning nothing has changed in
>    the past two weeks.  While Spencer, on 1/4, said, "Still reviewing the
>    versioning I-D and that should be done in the next few days", he has
>    neither indicated any issues that need to be resolved nor produced the
>    requested write-up.  -09 was submitted on 12/19 and the IPR statement he
>    requested was sent on 1/4.   It appears that Spencer has missed his
>    self-imposed deadline and we need to hear from him about how this work can
>    go forward.  I'll be following up with more frequent nag mails to ensue
>    that Spencer does not assume that the absence of followup means that this
>    is indefinitely deferable.
>    - With regard to draft-ietf-nfsv4-umask, it appears that Bruce has
>    missed the self-imposed  deadline of submitting the new draft early in
>    January.  From his statement, "Whoops, OK, if I get that done next week
>    will I be missing any deadlines?", I'm going to be assuming that his new
>    self-imposed deadline is 1/20.  I'll be following up early next week to
>    make sure that Spencer gets both the new draft and the IPR material that he
>    needs to produce the writeup and allow this to go forward into AD
>    evaluation together with at or about the same time as the versioning
>    document.
>    - With regard to draft-ietf-xattrs, the authors have not yet submitted
>    a new draft that addresses the issues that arose during WGLC.  As I
>    understand things, there are no substantive issues remaining and this is
>    simply a question of getting the needed edits done. I'm not sure whether
>    they have provided the IPR statement that Spencer requested but this does
>    need to be done.  It isn't clear whether they have missed a self-imposed
>    deadline, since, if I recall correctly, they indicated that the new draft
>    would be done* around *the middle of January.  I think we need to hear
>    from the authors with a proposed date for submission of the draft (i.e. a
>    self-imposed deadline).  It would  be best if this were before the end of
>    January.  In that case, handling these three documents together should not
>    pose any difficulties, assuming the needed shepherding writeups are
>    forthcoming.
>
>
>
> On Thu, Jan 12, 2017 at 1:38 PM, David Noveck <[email-masked]>
> wrote:
>
> Only self-imposed ones. Having it next week would be great.
>
>
>
> On Jan 12, 2017 1:27 PM, "J. Bruce Fields" <[email-masked]> wrote:
>
> On Wed, Jan 04, 2017 at 08:27:29AM -0800, spencer shepler wrote:
> > I am waiting on an update to be submitted for the "umask" I-D before
> > completing the shepherding write-up for that one.
>
> Whoops, OK, if I get that done next week will I be missing any
> deadlines?
>
> --b.
>
> > Still reviewing the versioning I-D and that should be done in the next
> few
> > days.
> >
> > Also, I need all the authors to, via separate email to me, affirm that
> any
> > IP disclosures have been completed on these drafts if necessary.
> >
> > Spencer
> >
> > On Wed, Jan 4, 2017 at 4:10 AM, David Noveck <[email-masked]>
> wrote:
> >
> > > This is a friendly reminder of the need to provide write-ups for:
> > >
> > >    - draft-ietf-nfsv4-versioning
> > >    - draft-ietf-nfsv4-xattrs
> > >    - draft-ietf-nfsv4-umask
> > >
> > > Given that the period since consensus was declared for these (on 12/19)
> > > has coincided with the holidays, a nag mail at this point might be
> thought
> > > premature.  I recognize that the write-ups  might be delayed for
> various
> > > holiday-related reasons.
> > >
> > > I'm sending this now mainly because you have previously indicated that
> a
> > > lack of nag mails might be interpreted by you as indicating that the
> task
> > > in
> > > question is not important and so I'm worried that these might wind
> being
> > > indefinitely deferred as more pressing items appear on your to-do list.
> > >
> > > I want to point out that these documents are important and that the
> work
> > > already done by the authors cannot be appropriately considered until
> you
> > > provide the necessary write-up.  You won't be getting further nag mails
> > > from
> > > me until 1/18.
> > >
> > > Thank for  your work so far on these.  Hope you have a great 2017.
> > >
> > > _______________________________________________
> > > nfsv4 mailing list
> > > [email-masked]
> > > https://www.ietf.org/mailman/listinfo/nfsv4
> > >
> > >
>
> > _______________________________________________
> > nfsv4 mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/nfsv4
>
>
>
>
>
>
>

---

From: David Noveck <[email-masked]>
Date: Wed, 1 Feb 2017 05:25:00 -0500

This just leaves umask needed for you to complete your flock.

I'm assuming we have a shepherding document for versioning ready and you
can now do the same for xattr.  This will simplify the path to burying
Spencer D. in AD Evaluation work (cue maniacal laughter :-).

I have heard no target date from Bruce or Andreas, but I think it is
reasonable to assume that by IETF98 you will no longer be in a Little Bo
Peep situation.  My impression is  that the completion of this will not
substantially affect the IETF 98 agenda but I'll send a separate mail
regarding IETF98 agenda issues.

On Wed, Feb 1, 2017 at 3:23 AM, spencer shepler <[email-masked]>
wrote:

>> noted in the review. See https://datatracker.ietf.org/d
>> oc/draft-ietf-nfsv4-xattrs/
>>
>>
>>
>> Manoj.
>>
>>
>>
>> Once you're over your jet lag, could you deal with the shepherding
>> writeup for draft-ietf-nfsv4-versioning-09?  On 1/4, you said that it
>> "should be done in the next few days" and it appears your travel has
>> interfered with that.  In any case, we might as well get started right away
>> on the important job of burying Spencer D. in AD Evaluation work :-).
>>
>>
>>
>>    - With regard to draft-ietf-xattrs, the authors have not yet
>>    submitted a new draft that addresses the issues that arose during WGLC.  As
>>    I understand things, there are no substantive issues remaining and this is
>>    would be done* around *the middle of January.  I think we need to
>>    hear from the authors with a proposed date for submission of the draft
>>    (i.e. a self-imposed deadline).  It would  be best if this were before the
>>    end of January.  In that case, handling these three documents together
>>    should not pose any difficulties, assuming the needed shepherding writeups
>>    are forthcoming.
>>
>>
>>
>> > > I'm sending this now mainly because you have previously indicated
>> that a